
QGIS Application - Bug report #10087

"else" rules are broken in master

2014-04-17 09:17 PM - Nyall Dawson

Status: Closed

Priority: High

Assignee: Nathan Woodrow

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 18555

Description

The "else" rule which was added in 2.2 is broken in current master. It's now reported as an invalid expression and doesn't evaluate

correctly.

History

#1 - 2014-05-30 12:33 PM - Jürgen Fischer

- Category set to Symbology

#2 - 2014-05-31 05:01 AM - Nathan Woodrow

- Target version set to Future Release - Nice to have

- Priority changed from Severe/Regression to High

This is mainly just a failing of the UI. You can't use the expression builder to add a ELSE rule as ELSE is a special rule based rendering thing.

#3 - 2014-06-20 08:45 AM - Jürgen Fischer

- Category changed from Symbology to GUI

#4 - 2015-10-12 12:45 AM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #8591
